Package com.ocient.jdbc.proto

# Class ClientWireProtocol.ForceExternal

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
com.ocient.jdbc.proto.ClientWireProtocol.ForceExternal

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ClientWireProtocol.ForceExternalOrBuilder`, `Serializable`

Enclosing class:
  ClientWireProtocol

    @Deprecated
    public static final class ClientWireProtocol.ForceExternal
    extends com.google.protobuf.GeneratedMessageV3
    implements ClientWireProtocol.ForceExternalOrBuilder

Deprecated.
Protobuf type `xg.cmdcomp.ForceExternal`

See Also:
  Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type | Class | Description
--- | --- | ---
`static class` | `ClientWireProtocol.ForceExternal.Builder` | Deprecated. Protobuf type `xg.cmdcomp.ForceExternal`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `FORCE_FIELD_NUMBER` | Deprecated.

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object obj)` | Deprecated.
`static ClientWireProtocol.ForceExternal` | `getDefaultInstance()` | Deprecated.
`ClientWireProtocol.ForceExternal` | `getDefaultInstanceForType()` | Deprecated.
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` | Deprecated.
`boolean` | `getForce()` | Deprecated. whether or not we are forcing plans to run externally, primarily for testing
`com.google.protobuf.Parser<ClientWireProtocol.ForceExternal>` | `getParserForType()` | Deprecated.
`int` | `getSerializedSize()` | Deprecated.
`com.google.protobuf.UnknownFieldSet` | `getUnknownFields()` | Deprecated.
`int` | `hashCode()` | Deprecated.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` | Deprecated.
`boolean` | `isInitialized()` | Deprecated.
`static ClientWireProtocol.ForceExternal.Builder` | `newBuilder()` | Deprecated.
`static ClientWireProtocol.ForceExternal.Builder` | `newBuilder​(ClientWireProtocol.ForceExternal prototype)` | Deprecated.
`ClientWireProtocol.ForceExternal.Builder` | `newBuilderForType()` | Deprecated.
`protected ClientWireProtocol.ForceExternal.Builder` | `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)` | Deprecated.
`protected Object` | `newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)` | Deprecated.
`static ClientWireProtocol.ForceExternal` | `parseDelimitedFrom​(InputStream input)` | Deprecated.
`static ClientWireProtocol.ForceExternal` | `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` | Deprecated.
`static ClientWireProtocol.ForceExternal` | `parseFrom​(byte[] data)` | Deprecated.
`static ClientWireProtocol.ForceExternal` | `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` | Deprecated.
`static ClientWireProtocol.ForceExternal` | `parseFrom​(com.google.protobuf.ByteString data)` | Deprecated.
`static ClientWireProtocol.ForceExternal` | `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` | Deprecated.
`static ClientWireProtocol.ForceExternal` | `parseFrom​(com.google.protobuf.CodedInputStream input)` | Deprecated.
`static ClientWireProtocol.ForceExternal` | `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` | Deprecated.
`static ClientWireProtocol.ForceExternal` | `parseFrom​(InputStream input)` | Deprecated.
`static ClientWireProtocol.ForceExternal` | `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` | Deprecated.
`static ClientWireProtocol.ForceExternal` | `parseFrom​(ByteBuffer data)` | Deprecated.
`static ClientWireProtocol.ForceExternal` | `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` | Deprecated.
`static com.google.protobuf.Parser<ClientWireProtocol.ForceExternal>` | `parser()` | Deprecated.
`ClientWireProtocol.ForceExternal.Builder` | `toBuilder()` | Deprecated.
`void` | `writeTo​(com.google.protobuf.CodedOutputStream output)` | Deprecated.

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

## Field Details

### FORCE_FIELD_NUMBER

public static final int FORCE_FIELD_NUMBER
Deprecated.

See Also:
  Constant Field Values

## Method Details

### newInstance

protected Object newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)
Deprecated.

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

### getUnknownFields

public final com.google.protobuf.UnknownFieldSet getUnknownFields()
Deprecated.

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()
Deprecated.

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
Deprecated.

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

### getForce

public boolean getForce()
Deprecated.

    whether or not we are forcing plans to run externally, primarily for testing

`bool force = 1;`

Specified by:
  `getForce` in interface `ClientWireProtocol.ForceExternalOrBuilder`
Returns:
  The force.

### isInitialized

public final boolean isInitialized()
Deprecated.

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

### writeTo

public void writeTo​(com.google.protobuf.CodedOutputStream output) throws IOException
Deprecated.

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()
Deprecated.

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

### equals

public boolean equals​(Object obj)
Deprecated.

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

### hashCode

public int hashCode()
Deprecated.

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

### parseFrom

public static ClientWireProtocol.ForceExternal parseFrom​(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException
Deprecated.

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.ForceExternal parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException
Deprecated.

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.ForceExternal parseFrom​(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException
Deprecated.

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.ForceExternal parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException
Deprecated.

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.ForceExternal parseFrom​(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException
Deprecated.

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.ForceExternal parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException
Deprecated.

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.ForceExternal parseFrom​(InputStream input) throws IOException
Deprecated.

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.ForceExternal parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
Deprecated.

Throws:
  `IOException`

### parseDelimitedFrom

public static ClientWireProtocol.ForceExternal parseDelimitedFrom​(InputStream input) throws IOException
Deprecated.

Throws:
  `IOException`

### parseDelimitedFrom

public static ClientWireProtocol.ForceExternal parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
Deprecated.

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.ForceExternal parseFrom​(com.google.protobuf.CodedInputStream input) throws IOException
Deprecated.

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.ForceExternal parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
Deprecated.

Throws:
  `IOException`

### newBuilderForType

public ClientWireProtocol.ForceExternal.Builder newBuilderForType()
Deprecated.

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

### newBuilder

public static ClientWireProtocol.ForceExternal.Builder newBuilder()
Deprecated.

### newBuilder

public static ClientWireProtocol.ForceExternal.Builder newBuilder​(ClientWireProtocol.ForceExternal prototype)
Deprecated.

### toBuilder

public ClientWireProtocol.ForceExternal.Builder toBuilder()
Deprecated.

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

### newBuilderForType

protected ClientWireProtocol.ForceExternal.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)
Deprecated.

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstance

public static ClientWireProtocol.ForceExternal getDefaultInstance()
Deprecated.

### parser

public static com.google.protobuf.Parser<ClientWireProtocol.ForceExternal> parser()
Deprecated.

### getParserForType

public com.google.protobuf.Parser<ClientWireProtocol.ForceExternal> getParserForType()
Deprecated.

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstanceForType

public ClientWireProtocol.ForceExternal getDefaultInstanceForType()
Deprecated.

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`